Name:           vcftools
Version:        0.1.4a
Release:        1%{?dist}
Summary:        VCF file manipulation tools

Group:          Applications/Engineering
License:	GPLv3 
URL:            http://vcftools.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	zlib-devel
#BuildArch:	noarch


%description
A program package designed for working with VCF files, such as those
generated by the 1000 Genomes Project. The aim of VCFtools is to
provide methods for working with VCF files: validating, merging,
comparing and calculate some basic population genetic statistics.

%prep
%setup -q -n %{name}_%{version}


%build
make %{?_smp_mflags} CPPFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install PREFIX=%{buildroot}/usr

# Put Perl modules in correct location
mkdir -p %{buildroot}/%{perl_vendorarch}
mv %{buildroot}/usr/lib/FaSlice.pm %{buildroot}/%{perl_vendorarch}
mv %{buildroot}/usr/lib/Vcf.pm %{buildroot}/%{perl_vendorarch}

# Put single binary in correct location
mkdir -p %{buildroot}/%{_bindir}
mv %{_builddir}/%{name}_%{version}/cpp/vcftools %{buildroot}/%{_bindir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt
%{_bindir}/compare-vcf
%{_bindir}/fill-aa
%{_bindir}/fill-an-ac
%{_bindir}/fill-rsIDs
%{_bindir}/merge-vcf
%{_bindir}/query-vcf
%{_bindir}/vcf-annotate
%{_bindir}/vcf-concat
%{_bindir}/vcf-convert
%{_bindir}/vcf-isec
%{_bindir}/vcf-sort
%{_bindir}/vcf-stats
%{_bindir}/vcf-subset
%{_bindir}/vcf-to-tab
%{_bindir}/vcf-validator
%{_bindir}/vcftools
%{perl_vendorarch}/FaSlice.pm
%{perl_vendorarch}/Vcf.pm


%changelog
* Mon Mar 21 2011 Adam Huffman <bloch@verdurin.com> - 0.1.4a-1
- initial version
- fix CPPFLAGS
- fix hardcoded installation location

